# logging

日志组件

## 使用说明

日志组件封装了uber/zap，使用基本一致

```
package main

import(
    "git.hpds.cc/Component/logging"
    
    "go.uber.org/zap/zapcore"
)

func main(){
    opt := Options{
        Path           : "./log/",
        Prefix         : "",
        ErrorFileSuffix: "",
        WarnFileSuffix : "",
        InfoFileSuffix : "",
        DebugFileSuffix: "",
        Level          : zapcore.DebugLevel,
        MaxSize        : 100,
        MaxBackups     : 1000,
        MaxAge         : 30,
        Development    : true,
    }
    logger := logging.NewLogger()
    logger.Info("this is a test log")
}
```